/**
 * SQL-DK
 * Copyright © 2013 František Kučera (frantovo.cz)
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 */
package info.globalcode.sql.dk;

import java.io.File;

/**
 *
 * @author Ing. František Kučera (frantovo.cz)
 */
public class Constants {

	public static final String PROGRAM_NAME = "SQL-DK";
	public static final String JAVA_PACKAGE = Constants.class.getPackage().getName();
	public static final String WEBSITE = "https://sql-dk.globalcode.info/";
	public static final String LICENSE_FILE = "info/globalcode/sql/dk/license.txt";
	public static final String VERSION_FILE = "info/globalcode/sql/dk/version.txt";
	public static final String HELP_FILE = "info/globalcode/sql/dk/help.txt";
	private static final File HOME_DIR = new File(System.getProperty("user.home"));
	/**
	 * Directory where config and log files are stored.
	 */
	public static final File DIR = new File(HOME_DIR, ".sql-dk"); // bash-completion:dir
	public static final File CONFIG_FILE = new File(DIR, "config.xml");
	public static final String EXAMPLE_CONFIG_FILE = "info/globalcode/sql/dk/example-config.xml";

	private Constants() {
	}
}
