/**
 * SQL-DK
 * Copyright © 2013 František Kučera (frantovo.cz)
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 */
package info.globalcode.sql.dk;

import java.sql.Types;

/**
 * Parameter for {@linkplain SQLCommand}
 *
 * @author Ing. František Kučera (frantovo.cz)
 */
public class Parameter {

	/**
	 * @see Types
	 */
	public static final SQLType DEFAULT_TYPE = SQLType.VARCHAR;
	private Object value;
	private SQLType type;

	public Parameter() {
	}

	public Parameter(Object value, SQLType type) {
		this.value = value;
		if (type == null) {
			this.type = DEFAULT_TYPE;
		} else {
			this.type = type;
		}
	}

	public Object getValue() {
		return value;
	}

	public void setValue(Object value) {
		this.value = value;
	}

	/**
	 * @see java.sql.Types
	 */
	public SQLType getType() {
		return type;
	}

	/**
	 * @see java.sql.Types
	 */
	public void setType(SQLType type) {
		this.type = type;
	}
}
