/**
 * SQL-DK
 * Copyright © 2013 František Kučera (frantovo.cz)
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 */
package info.globalcode.sql.dk.formatting;

import info.globalcode.sql.dk.configuration.Properties;
import java.io.OutputStream;

/**
 * To be passed from the SQL-DK core to the formatter.
 *
 * @author Ing. František Kučera (frantovo.cz)
 */
public class FormatterContext {

	private OutputStream outputStream;
	private Properties properties;

	public FormatterContext(OutputStream outputStream, Properties properties) {
		this.outputStream = outputStream;
		this.properties = properties;
	}

	public OutputStream getOutputStream() {
		return outputStream;
	}

	public Properties getProperties() {
		return properties;
	}

	public void setProperties(Properties properties) {
		this.properties = properties;
	}
}
